Bug 95816

Summary: Inspector: display IndexedDB integer versions
Product: WebKit Reporter: David Grogan <dgrogan>
Component: New BugsAssignee: David Grogan <dgrogan>
Status: RESOLVED FIXED    
Severity: Normal CC: alecflett, jsbell, vsevik, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 93225    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch none

Description David Grogan 2012-09-04 20:40:31 PDT
Inspector: display IndexedDB integer versions
Comment 1 David Grogan 2012-09-04 20:40:52 PDT
Created attachment 162153 [details]
Patch
Comment 2 David Grogan 2012-09-04 20:44:01 PDT
FYI for now.

If there is both a string and integer version, both are displayed instead of something like INVALID for the string version.
Comment 3 Joshua Bell 2012-10-02 13:39:55 PDT
+vsevik

Long term, versions will only be integers.

In the short term, we could show string versions quoted, number versions unquoted (like console inspection of JS vars).
Comment 4 David Grogan 2012-10-09 19:29:05 PDT
Created attachment 167895 [details]
Patch
Comment 5 David Grogan 2012-10-09 19:30:32 PDT
vsevik, will you review this?
Comment 6 WebKit Review Bot 2012-10-10 10:57:02 PDT
Comment on attachment 167895 [details]
Patch

Clearing flags on attachment: 167895

Committed r130928: <http://trac.webkit.org/changeset/130928>
Comment 7 WebKit Review Bot 2012-10-10 10:57:06 PDT
All reviewed patches have been landed.  Closing bug.